#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    int n;
    unsigned long long sum=0;
    cin >> n;
    int x[100001], y[100001];
    unordered_multiset <int> Set;
    for (int i=1; i<=n; i++)
        cin >> x[i];
    for (int i=1; i<=n; i++)
        cin >> y[i];
    for (int i=1; i<=n; i++)
    {
        int a;
        cin >> a;
        Set.insert(y[a]);
    }
    for (int i=1; i<=n; i++)
        sum += Set.count(x[i]);
    cout << sum;
    return 0;
}